Bug 1247195 - [abrt] evolution-data-server: send_propfind(): evolution-addressbook-factory-subprocess killed by SIGSEGV
[abrt] evolution-data-server: send_propfind(): evolution-addressbook-factory-...
Status: CLOSED DUPLICATE of bug 1051863
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Milan Crha
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1618a6870657da260764a955135...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 10:24 EDT by Yajo
Modified: 2015-07-30 00:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 01:13:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.56 KB, text/plain)
2015-07-27 10:24 EDT, Yajo
no flags Details
File: cgroup (190 bytes, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: core_backtrace (10.20 KB, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: dso_list (15.75 KB, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: environ (1020 bytes, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: limits (1.29 KB, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: maps (72.55 KB, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: namespaces (85 bytes, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: open_fds (558 bytes, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details
File: proc_pid_status (979 bytes, text/plain)
2015-07-27 10:25 EDT, Yajo
no flags Details

  None (edit)
Description Yajo 2015-07-27 10:24:56 EDT
Version-Release number of selected component:
evolution-data-server-3.16.3-2.fc22

Additional info:
reporter:       libreport-2.6.0
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-addressbook-factory-subprocess --factory webdav --bus-name org.gnome.evolution.dataserver.Subprocess.Backend.AddressBookx2629x2 --own-path /org/gnome/evolution/dataserver/Subprocess/Backend/AddressBook/2629/2
crash_function: send_propfind
executable:     /usr/libexec/evolution-addressbook-factory-subprocess
global_pid:     2665
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 send_propfind at e-book-backend-webdav.c:583
 #1 book_backend_webdav_test_can_connect at e-book-backend-webdav.c:1223
 #2 book_backend_webdav_authenticate_sync at e-book-backend-webdav.c:1851
 #3 e_backend_authenticate_sync at e-backend.c:239
 #4 backend_source_authenticate_thread at e-backend.c:300
 #5 g_thread_proxy at gthread.c:764
 #7 __libc_ifunc_impl_list at ../sysdeps/x86_64/multiarch/ifunc-impl-list.c:96
Comment 1 Yajo 2015-07-27 10:24:59 EDT
Created attachment 1056594 [details]
File: backtrace
Comment 2 Yajo 2015-07-27 10:25:00 EDT
Created attachment 1056595 [details]
File: cgroup
Comment 3 Yajo 2015-07-27 10:25:01 EDT
Created attachment 1056596 [details]
File: core_backtrace
Comment 4 Yajo 2015-07-27 10:25:03 EDT
Created attachment 1056597 [details]
File: dso_list
Comment 5 Yajo 2015-07-27 10:25:04 EDT
Created attachment 1056598 [details]
File: environ
Comment 6 Yajo 2015-07-27 10:25:05 EDT
Created attachment 1056599 [details]
File: limits
Comment 7 Yajo 2015-07-27 10:25:07 EDT
Created attachment 1056600 [details]
File: maps
Comment 8 Yajo 2015-07-27 10:25:08 EDT
Created attachment 1056601 [details]
File: mountinfo
Comment 9 Yajo 2015-07-27 10:25:09 EDT
Created attachment 1056602 [details]
File: namespaces
Comment 10 Yajo 2015-07-27 10:25:10 EDT
Created attachment 1056603 [details]
File: open_fds
Comment 11 Yajo 2015-07-27 10:25:12 EDT
Created attachment 1056604 [details]
File: proc_pid_status
Comment 12 Milan Crha 2015-07-28 01:04:02 EDT
Thanks for a bug report. It looks like the URL for one of your WebDAV address books is incorrect. Could you verify that all your WebDAV address books have configured correct URL, please?
Comment 13 Milan Crha 2015-07-28 01:13:56 EDT
I just found an older bug report about the same, thus I mark this as a duplicate of it. I'm still interested in the answer for the above question.

*** This bug has been marked as a duplicate of bug 1051863 ***
Comment 14 Yajo 2015-07-28 09:06:32 EDT
All is ok.
Comment 15 Milan Crha 2015-07-29 02:40:45 EDT
Then it might be something else. I committed a change upstream which will report an error with the broken URL, instead of crashing the application (unless there's a use-after-free involved, which would be unfortunate), thus it might get slightly better than it is now.
Comment 16 Yajo 2015-07-29 03:36:49 EDT
Seems fine. Could it have been that the server was down while Evolution tried to sync?
Comment 17 Milan Crha 2015-07-30 00:37:33 EDT
I do not think so. The crash happened due to an incorrect URL being used when creating a SoupMessage structure, but it wasn't checked whether the returned pointer is valid and it was dereferenced, which with NULL means a crash. This all is done completely locally.

Note You need to log in before you can comment on or make changes to this bug.